main

Book Cover
Stopping Spyware
By Laura E. Hunter
...............................................
Publisher: Addison Wesley
Pub Date: June 20, 2005
Web ISBN: 0-321-34997-0
Pages: 80

Table of Contents
Overview
Stop spyware in its tracks! Spyware infects the vast majority of home computers today. After it's on your machine, it can be used to access your social security number, track every website you visit, and take control of your computer away from you. If you work for a large company, odds are your company has purchased anti-spyware protection for you. But readers using home computers or running small businesses are on their own and vulnerable to infection. Many readers suffering with "slow connections" have in fact already been infected and don't know it. Written specifically for the home computer and small business owner, this title is a straightforward, no-nonsense guide that explains what spyware is, how to avoid being infected with it, and how to remove it from your computer if you've already been "hit."Stopping Spyware cuts to the core of the problem of spyware and offers practical advice on how to deal with it. This short guide explains the following: What spyware is and how it works How to protect yourself from spyware infections How to choose and install spyware protection What to do if you are already infected-or think you are How to protect your personal data and information Where to find tools and additional resources


Table of Contents

Book Cover
Stopping Spyware
By Laura E. Hunter
...............................................
Publisher: Addison Wesley
Pub Date: June 20, 2005
Web ISBN: 0-321-34997-0
Pages: 80

Table of Contents

Preface
About the Author
The Spyware Menace
 | Section I. What Is Spyware, and How Does It Get Installed on My Computer?
 | Section II. Is Spyware a Virus?
Protecting Yourself from Spyware
 | Section I. Laying the Foundation: Securing Your Home Computer
 | Section II. Protecting Your Computer from Viruses
 | Section III. Securing Your Web Browser
 | Section IV. Using a Personal Firewall
Installing Anti-Spyware Protection
 | Section I. Ad-Aware
 | Section II. Spybot Search & Destroy
 | Section III. Microsoft AntiSpyware Tool
 | Choosing the Right Product
What If I'm Already Infected?
What If I Can't Fix It?
 | Section I. What's the Worst-Case Scenario?
The Need for Data Protection
 | Section I. Creating a Backup Plan
 | Section I. Selecting Files and Folders to Back Up
 | Section II. Selecting Backup Media
 | Section III. Backing Up Your Windows Configuration
Summary
Useful Links
 | Useful Software Downloads
 | Helpful Tips and Information
 | For Kids and Parents


Preface

Hello! Welcome to the Addison-Wesley "Stopping Spyware" e-book. This title came about as a way to fill a need that we saw for home computer owners: a straightforward, no-nonsense guide that would explain what spyware is, how to avoid being infected with it, and how to remove it from your computer if you've already been "hit." Spyware is one of those topics that you've begun to hear about every day, both online and even on your television's evening news, but much of what you often hear is either far too enveloped in technical jargon to be meaningful or wrapped up in "There's a new threat on the Internet!" five o'clock news sensationalism. So we decided that it was time for a book that would cut to the core of the problem of spyware and offer practical advice on how to deal with it. The result is the book that you're reading now.

I'm primarily gearing this book towards home and home office settings since most corporate IT offices have (or should have) their own policies and procedures in place to secure their computers, and I don't want to go stepping on any of my colleagues' toes. So I'm assuming that you have one or more computers in your home that are connected to the Internet, and that you're trying to get a handle on securing those computers against viruses, spyware, and other forms of malicious software. I also assume that you're at least reasonably comfortable using Microsoft Windows–I won't be asking you to perform any ultra-complicated technical tasks like writing computer programs or editing Windows system files, but you should be at ease with using the keyboard and the mouse, opening and closing programs, navigating the Start Menu, and saving a file to your hard drive.

This book is divided into six sections followed by an appendix. These sections should be read in order, and they consist of the following:

  • The Spyware Menace. This section will provide you with an introduction to spyware: what it is, how you can become infected with it, and how to recognize the different types of spyware that you'll come across.

  • Protecting Yourself from Spyware. In this section we get down to the nuts and bolts of how to defend yourself against spyware infections from the Internet. I'll walk you step-by-step through different measures you can take to secure your home computer and your web browser. I'll also introduce you to the use of personal firewalls.

  • Installing Spyware Protection. Here we'll get down to comparing a few popular anti-spyware software applications that are specifically designed to detect and remove spyware infections. Most of these are available for free or for a nominal cost, and I'll show you what features you should look for when choosing anti-spyware software for your home computer. We'll also see three such products in action: LavaSoft Ad-Aware, Spybot Search & Destroy, and the Microsoft Anti-Spyware tool.

  • What If I'm Already Infected? You may have turned to this book because your home computer has already been hit with a spyware infection, and now you're trying to return your PC back to normal. In this section we'll talk about ways to clean up a computer that's already been infected by spyware.

  • What If I Can't Fix It? Okay, now it's getting serious. You've installed every spyware removal tool you can think of, and you still can't seem to solve the problem. This section will offer you some advice on where to turn for help and on planning for a worst-case scenario if you cannot remove the spyware problem.

  • The Need for Data Protection. Even though this section lives at the conclusion of this book, safeguarding your personal information, data, and files should actually be at the forefront of your mind when it comes to protecting your home or home office PC. We'll close out this book by looking at ways to set up a regular plan to back up your critical files, whether these are financial records from a small business or irreplaceable family photos. I'll offer you practical advice on how to back up your data files using tools that are built right into your Windows computer.

  • Appendix: This is something of a "kitchen sink" of links about protecting your computer, your identity, and your family's well-being from Internet security risks. I've tried to distill the "information overload" that typifies the average Google search into a few reputable and easy-to-read links to help you in protecting your home computer.

Finally, I'd like to thank the following individuals for helping to nurture this project through to its final completion. Any omissions are my own and purely unintentional:

  • The editorial staff at Addison-Wesley for championing both me and this project: Jessica Goldstein, Catherine Nolan, Curt Johnson, Elizabeth Peterson, and Frank Vella.

  • My reviewers for their depth and insight: Steve Friedl (www.unixwiz.net), Audrey Doyle, and Rick Kingslan.

  • Members of the University of Pennsylvania technical community who have impacted me both personally and professionally: John J. Mulhern III, Mark Aseltine, Jeff Douthett, Rob Short, Steve Strawser, Cynthia Compere, Bob Desilets, Kristin Nelson, Mike Lazenka, Dave Millar, Joshua Beeman, John Lupton, Dave Taylor, Richard C. Salmon Jr., Wilson Chang, and David Domico.

  • The Microsoft Security community, both Microsoft staff and MVPs: Susan Bradley, Alun Jones, Steve Friedl, Emily Freet, Jerry Bryant, Jesper Johannsen, Steve Riley, and Mike Nash.

  • And of course, my family: Mom, Dad, and Bryan.


About the Author

Laura E. Hunter (CISSP, MCSE: Security, MCDBA, Microsoft MVP) is a Senior IT Specialist with the University of Pennsylvania, where she provides network planning, implementation, and troubleshooting services for various business units and schools within the university. Her specialties include Microsoft Windows 2000 and 2003 design and implementation, troubleshooting, and security topics. Laura has over a decade of experience with Windows computers; her previous experience includes a position as the Director of Computer Services for the Salvation Army, and as the LAN administrator for a medical supply firm. She is a contributor to the TechTarget family of websites and to Redmond Magazine (formerly Microsoft Certified Professional Magazine).

Laura has previously contributed to the Syngress Windows Server 2003 MCSE/MCSA DVD Guide & Training System series as a DVD presenter, author, and technical reviewer, and is the author of the upcoming Active Directory Consultant's Field Guide (ISBN: 1-59059-492-4) from APress. Laura is a two-time recipient of the prestigious Microsoft "Most Valued Professional" award in the area of Windows Server – Networking. Laura graduated with honors from the University of Pennsylvania and also works as a freelance writer, trainer, speaker, and consultant. You can reach Laura at laurahcomputing@gmail.com.


The Spyware Menace

Imagine what you would do if you turned on your computer one day and saw the following message pop up on your screen:

"Hi! I'm about to install a piece of software that will track the websites you go to and send that information to online retailers who want to send you lots of spam. While I'm at it, the software I'm about to install will send you about a dozen pop-up windows every time you try to open your web browser and will make your computer run as slow as a snail. If I'm in a particularly bad mood, then I'll alter some files on your hard drive so that your machine won't start up properly anymore.

Oh yes, one more thing: I'll also collect your credit card information every time you check out at an online store and send your credit card numbers and personal information back to my nefarious maker.

If you'd like me to install this software, please click Yes so that I can start. If for some reason you'd rather I didn't install this software, go ahead and click No, and I won't bother you again."

Now, if you saw a message like this, you'd click "No", right? Of course you would: if a piece of software as malicious as this one came right out and told you everything it was planning to do, there's no way you'd install it on your computer willingly. But what do you do if this piece of software wasn't polite enough to give you this kind of warning? What if this software installed itself automatically (and without your permission) just because you browsed to a particular website or downloaded a game that you like to play? I bet you'd call that annoying at best and downright dangerous at worst.

Unfortunately, this kind of software already exists on the Internet. It's called spyware, and it can install itself on your computer without you even being aware of it. You don't remember installing it, and that's probably because you actually didn't – it installed in the background while you were doing something else on the Internet. All you know is that you've got all these pop-up ads every time you turn on your PC, your computer is running slower or is just acting "weird," and your browser opens up to this strange web page that you don't remember visiting. It almost feels like it isn't your computer anymore, and in some ways it's not. Spyware has become fairly widespread, now that so many people have high-speed Internet access from their homes. Because your cable modem or DSL connection is always connected, it means that you're always "on the Internet," even if you're not actually browsing websites or checking your email. Spyware can use this always-on connection to display pop-up ads on your screen just about at will, and it can often do even worse things.

Luckily, there are a number of steps that you can take to protect yourself from this threat, even if your computer has already caught a bad case of spyware. From free tools that you can install to monitor for spyware and remove existing problems to simple tips and guidelines to make Internet browsing a safer experience, there are steps that you can take to minimize your exposure to spyware. In this book, I'll talk about some guidelines that you can follow to protect yourself, and I'll look at some free tools that you can use to clean up the clutter that spyware causes on your computer.

A few words on language before we get started: I'll use the words "PC," "personal computer," and "computer" fairly interchangeably throughout this book. I'm referring to the personal computer that you have sitting in your bedroom, your kid's room, or your home office. If you have a problem with a PC at work, I suggest that you talk to your company's IT people before installing any of the spyware removal tools that I'll be talking about. I say this because many companies have specific policies in place about what kinds of software you can install on your office PC, and they (hopefully) have their own procedures in place for dealing with spyware.

You'll also hear me talk about "spyware," "viruses," and "malicious software," or "malware" for short. I use the term "malicious software" to describe any kind of software that (1) you didn't install, and (2) tries to do something bad to your computer. Spyware is malicious software, and computer viruses also fit the bill. Spyware and computer viruses aren't quite the same thing, though, which we'll talk more about later in the book. I'm also going to assume that you're running some version of Microsoft Windows, and that you've been using the Internet Explorer browser, which comes pre-installed on Windows machines.

I'm also not going to be an alarmist and tell you that the Internet is this horrible place that's full of nothing but spyware, viruses, and spam. I like the Internet, and I like computers – I wouldn't be writing this if I didn't. Without the Internet, I'd have a much harder time researching the things I write about and use in my life as a computer consultant. The Internet is a great resource for anyone, just so long as you approach it with a certain amount of common sense. I try to think of the Internet as if it were a major city like Manhattan, London, or Berlin. That is to say, the majority of the people who live there are basically decent folks who are just going about their business and want to be left alone. The bad and even criminal element is there, for sure, but as long as you take a few precautions and don't needlessly expose yourself to risks, you can enjoy a stay on the Internet just as much as a trip to New York to see a Broadway show.

So, let's get started with a look at what spyware is and how you can protect yourself from it.


I. What Is Spyware, and How Does It Get Installed on My Computer?

So, what exactly is spyware? And how can you recognize when it's been installed on your PC? Generally speaking, spyware refers to software that's been installed on your computer without your consent and that does things like collect your personal information without you being aware of it, change how your computer or web browser is configured, or bombard you with online advertisements. If a piece of spyware changes how your computer is configured, it will often lead to your computer becoming very slow or freezing, or even crashing with the dreaded "Blue Screen of Death." Spyware programs are notorious for being difficult to remove on your own, so even if you find an offending program and uninstall it, sometimes it will come right back whenever you reboot your computer.

The next obvious question is: how did these programs get installed on my computer to begin with? There are two common ways that you can find yourself infected with spyware. The first is that spyware can "hide" inside of other programs, even ones that you download from websites that might be otherwise trustworthy. Here's a good example: you download a game from one of your favorite websites. After you download the game and click on "CoolGameSetup.exe," the game installs just like you wanted. But you also end up with additional software installed that you didn't want: a tiny program that tracks the websites you visit gets installed in the background, and you weren't even aware of it. Spyware programs will often "piggyback" in this way on top of games, MP3 players, and other software utilities – the manufacturer of the software will typically allow this spyware to be installed as a part of their product to drive more business to their website, for example.

A slightly less common (but much more dangerous) way for spyware to spread is through flaws in Microsoft Windows or your web browser. Even though Microsoft has been working for years to get all of the security "bugs" out of its products, it's still a really big task that isn't even close to completion. And every now and then, some hacker will find a way that he or she can install something on your PC just by using a software programming trick. This is especially dangerous because the hacker will be able to install software on your computer without even having physical access to it; all the hacker needs is for your computer to be connected to the Internet. This might be the most disturbing aspect of spyware because, in essence, this software has been installed on your computer without your permission, and you didn't do anything at all.

No matter how it gets installed on your computer, spyware can take on many forms that range from annoying to dangerous. Some of the more common spyware behaviors you'll see are listed here:

Adware

Adware is a term for spyware that opens up advertisements within Internet browser windows, called "pop-up ads" or simply "pop-ups" because your web browser opens (or "pops up") a new window on your screen containing an advertisement or an entirely new web page. You run into pop-up ads all over the Internet, even from legitimate websites belonging to your favorite sports teams and online retailers; they're the Internet equivalent of the postcard advertisements that get inserted into print magazines. So, it's important to understand that every time you see a pop-up advertisement, it doesn't necessarily mean that you've been hit with adware. If you go to the website of your favorite book seller and you see a pop-up ad offering you free shipping if you spend $75 on their site, chances are good that there's nothing wrong with your computer. You're just seeing a legitimate advertisement from the website that you're visiting.

You may also subscribe to an online service that lets you receive email or watch music videos for free, but you "pay" for this service by having pop-up ads appear before you can check your mail or watch the video. Most legitimate sites will spell this out for you loud and clear when you sign up for their service, so you can decide if it's worth putting up with a few pop-up ads to be able to use their site for free. Any piece of software that you download or web service that you use should come with an End User License Agreement, or EULA for short. This should explain exactly what the installer is doing and whether it's installing any additional software pieces (like spyware) along with it. Sometimes the makers of a piece of software will actually tell you that they're installing adware on your PC, but they'll stick the notice all the way at the end of the EULA in the hopes that you'll miss it.

If you've ever installed a piece of software on your PC, you've seen a EULA...or at least the first few lines of one. The EULA is the text that's listed on the screen that appears whenever you install a new piece of software, where you need to select "Yes, I agree to the terms of this software" and then click Next before you can continue the installation. Almost nobody reads the EULA; we just skip right past it and keep going. Less-than-scrupulous websites are counting on this fact so that they can install spyware on your machine and then say, "Well, we told you we were going to install it. It's not our fault you didn't read the EULA." There are even some software companies that are bringing lawsuits against some anti-spyware software companies, claiming that their products should not be considered spyware since the terms of service are spelled out right in the EULA.

If you're serious about stopping spyware on your home computer, it's worth taking the extra minute to read the EULA on each piece of software that you've downloaded, just to make sure that nothing is piggybacking on top of the thing that you're installing. If a piece of software doesn't have a EULA, you should leave that website immediately and find one of their competitors who cares a bit more about your security and privacy.

So, how do you know if something is amiss? How do you know that the pop-up ads you're seeing are not legitimate pop-ups from "normal" websites, but rather ones that indicate that something more insidious is going on? A good indication is that all of a sudden you find that you're drowning in pop-up ads, even when you're not surfing the web:

  • You're working on a word processor document or a spreadsheet program and Internet advertisements start popping up out of nowhere.

  • You receive pop-up ads while you're browsing the web that have nothing to do with the site you're visiting. These can often contain adult content or be objectionable in nature.

  • Advertisements pop up as soon as you turn on your computer.

If you're seeing any of these behaviors, chances are pretty good that you've got some type of adware installed on your system that's causing this to happen. And it's at this point that pop-up ads can go from "irritating" to "unsafe": unscrupulous website designers can include other types of malicious software in a web page so that what started as a simple pop-up ad can then install another piece of spyware onto your system.

Even beyond generating pop-up ads, spyware can create other, more serious issues with your home PC and your personal information, which we'll discuss next.

Hijackers

You open up your web browser, expecting to see www.yahoo.com, www.cnn.com, or whatever you've set your home page to be. Instead, you're sent to a site you've never seen before, usually one that fires 10 or 15 pop-up ads at you. You change your homepage back to where you want it to be, but the next time you open your browser, you're back at that annoying page again. Or maybe there's a new toolbar on your browser that you don't remember installing, and you can't figure out how to get rid of it. This is a form of spyware called hijacking. Like pop-up ads, this is usually more obnoxious than harmful, but you're still running the risk of getting one of those pop-up windows that has some of that nasty software embedded in it.

Keystroke Loggers

Maybe up until now, you've been reading my description of adware and hijackers, and you aren't quite sold on the extent to which spyware can threaten your privacy. And in some respects, this is a perfectly fair assessment: some forms of spyware only consist of annoying (but otherwise benign) pop-up ads that are trying to entice you to purchase a new product or website membership. But in many cases, the risks caused by spyware are much greater than simply forcing you to swat away a few pop-up ads: some forms of spyware will keep a record of every website you visit and every single thing you type on your keyboard and then transmit that information to a website or another web server that belongs to the hacker.

So, you open up your web browser, close the three or four pop-up ads that appear whenever you connect to the Internet, and log onto your online banking site. Now, you think you're secure at this point because the URL begins with "https://" , signifying that it's a secure site. You're further assured of your security because you can see the little padlock in the lower-right corner of your browser, which also indicates that you're using a website that is securing and encrypting any information that you send to it. (If you don't know how to look for these, we'll be discussing web browser security in a later section.) But even a secure web connection isn't going to help you if a hacker can grab your username and password as you're typing them in and then can log onto your bank's website pretending to be you. Just think about all the things that you type at your keyboard when you're on the Internet. This seedy individual could snatch up:

  • Your credit card number as you're typing it in to buy a CD from Amazon

  • Personal information like your home address and telephone number, or even your Social Security number

  • Usernames, passwords, and account numbers to online banking or brokerage sites

This kind of threat is often how identity theft happens: just as you're careful about shredding paper documents that contain your personal information, you need to protect your computer from spyware to be just as careful about your online data. Some keystroke loggers will even record everything you type into a text file and then email it to a hacker at a later time. This means that you don't even have to be connected to the Internet for keystroke loggers to work. Keystroke loggers are particularly insidious because they're sometimes marketed as legitimate programs. Maybe you downloaded a piece of software to help keep track of your child's online activity, but the maker of the "nanny" program turns out to be just as bad as the people you were trying to protect yourself from.

This is not to say that the makers of all such "nanny" software programs are out to steal your credit card numbers: there are a number of perfectly reputable options in this area. It's all a matter of being careful about where you're downloading software from, which we'll be talking about later as well.


II. Is Spyware a Virus?

At this point, you might still be thinking that your computer is sufficiently protected against spyware infections and that you don't have anything to worry about. After all, you bought the newest anti-virus software from your computer store and paid the fee they charged you to receive automatic updates for the next year. So, you should be safe from everything, right?

Unfortunately that's not quite the case. Like I said earlier in this section, although viruses and spyware both fall under the heading of "malicious software," they're not quite the same thing. How are they different? In technical terms, a virus is a small piece of computer code – a miniature computer program, in other words – that attempts to spread from one computer to another through email attachments or over the Internet. Viruses range from annoying to destructive in nature: the miniature computer program can do anything from just clogging up your Inbox with unwanted emails all the way to modifying or deleting important files on your hard drive.

Spyware, on the other hand, is only "spread" by someone installing a piece of software that has spyware piggy-backing on top of it, or by browsing to a website that installs it automatically. So the largest difference between spyware and viruses is that, for the most part, spyware does not attempt to spread itself to other computers in the same way that a virus does.

But now we should move past the technical distinctions and talk about the more important question: "Why do I care that viruses and spyware are different?" And the answer to that question is quite simple, and a little frightening:

Most (if not all) anti-virus software is not able to protect you against spyware.

Anti-virus software does a great job at finding and removing viruses, especially if you keep your anti-virus definitions up-to-date. But anti-virus software by itself will do next to nothing to detect or prevent spyware infections. This is because anti-virus software scans for the particular piece of code that makes up a virus and uses that signature to prevent the virus from causing any damage to your computer. But for the most part, anti-virus software doesn't detect spyware because spyware doesn't have the same sort of easily-identifiable signature as a virus. As time has gone on, some newer versions of virus scanners have begun to incorporate spyware scanning capabilities. But not everyone's doing it, and the ones that are doing it still have quite a way to go. I can't tell you the number of times I've run a virus scan on somebody's home PC and had it come back clean, only to run a spyware detection tool and find dozens or hundreds of spyware applications installed on their computer. In order to fully protect your PC from the malicious software that exists on the Internet, you need to have protection in place against both viruses and spyware. I say this because I don't want to give you the impression that anti-virus software is unimportant: it's absolutely critical.


Protecting Yourself from Spyware

I wish there were a single button that I could tell you to push (or piece of software that I could tell you to install) that would instantly protect your computer so that you'd never get hit with a single piece of spyware again. Unfortunately, spyware protection isn't quite so simple, and it involves a number of different tasks. You'll hear computer security professionals calling this "defense in depth," which just means that you have several different layers of defenses set up on your computer. Think of your computer as the cash vault inside of a bank. If someone wants to steal all of the money out of the vault at 2 o'clock in the afternoon, they'll have to do a number of things:

  • Get past the security guard at the front door.

  • Get past the teller windows separating the vault from the customer area.

  • Get past the security guard at the outside entrance to the vault.

  • Open the door to the outside entrance.

  • Crack the door to the inside entrance.

  • Make it back out past all of these same obstacles, all without being stopped by a security guard or an off-duty cop waiting in the teller line.

Creating defense in depth for your home computer works in much the same way – you want to create protective layer upon protective layer that will make it as difficult as possible for spyware to gain a foothold on your PC. The toughest question is: where do you start? For the rest of this book, I'll walk you step-by-step through the things you can do to protect yourself from spyware and other types of malicious software. Some of the advice will be technical in nature: install this piece of software or configure that option in your web browser. But I'll also offer some tips that go beyond where to click your mouse. I'll point out some human pitfalls that sometimes cause people to expose themselves to malicious software unnecessarily, and how to avoid falling into these same traps.


I. Laying the Foundation: Securing Your Home Computer

We'll start by talking about how to secure Windows itself, the base operating system that makes your computer run. Now, ideally you should do the things I'm going to talk about here when you first set up a new computer, but it's never too late to start. Your first step will be to configure your computer to automatically receive security updates from Microsoft. Remember those software flaws I told you about? The ones that hackers will use to try to gain access to your computer over your Internet connection? The good news is that Microsoft typically has patches available for these problems very shortly after they're discovered, and sometimes even before. These security patches need to be downloaded and installed on your computer to take effect, and the best way to do that is to configure it to happen automatically so that you don't have to remember to check for new updates all the time.

One problem with a brand-new computer is that you'll often be struck with a virus or another piece of malware in the time it takes you to go to Windows Update for the first time. The best way to guard against this is to install a personal firewall before you connect to the Internet for the first time – we'll talk about personal firewalls in a later section.

The first thing you'll want to do is manually download any updates that you've missed. Go to http://windowsupdate.microsoft.com and click on the link that says Check for updates. The Windows Update site will walk you through the process of downloading any outstanding updates that your computer needs. Be sure to look for Critical Updates since Windows Update also includes some optional downloads that aren't specifically geared towards keeping your computer secure. Windows Update might allow you to download a new version of Windows Media Player or Outlook Express, for example. Although these updates usually offer a nice improvement for your computer, they aren't specifically security-related, and you can skip them if you're short on time. If you're prompted to reboot your computer after installing an update, keep going back to that same URL until there are no more updates for you to download. If you haven't updated your computer in awhile (or ever), this may take three or four reboots to accomplish.

After you're all caught up, you'll want to configure Windows so that it will automatically check for new updates on an ongoing basis. If you're running Windows 2000 Professional, Windows XP Professional or Home Edition, or Windows ME, this couldn't be easier. Just follow these steps:

  1. Go to the Control Panel (usually by clicking on the Start button) and then double-click on Automatic Updates. You'll see the screen in Figure 1. As you can see, you have a few options for configuring Automatic Updates for your PC.

Figure 1. Configuring Automatic Updates for Windows

  2. Click the button next to the Automatic Updates option you want to configure. I stick with the recommended option, which will automatically download any available updates and also automatically install them. You can specify the time of day that's most convenient by clicking on the small triangle next to "Every day" and then selecting the time of day that's most convenient for you. I recommend that you check for new updates a minimum of once a week, though as you can see I check for them every day. Try to pick a time that you know your computer is usually turned on so that you don't miss any updates. I leave my computer on during the day while I'm at work, so I have Windows Update perform downloads around mid-morning; you can also schedule updates to occur late at night. If you happen to be using your computer at the time that you've picked for updates to be installed, you can continue to do so while Windows Update is working. You may notice that your computer slows down a bit while Windows Update is downloading and installing patches, but the process usually only takes a few minutes. If Windows Update needs to reboot your computer, you'll be prompted to allow the reboot to take place; this will allow you to save any open files so that you don't lose anything you're working on.

  3. Click OK once you've configured Automatic Updates.

If you're still running Windows 98 or Windows 98 SE, you'll need to download a special utility from Microsoft to be automatically notified of any new updates for your version of Windows. You'll see a notification window informing you that you have new updates to install; you'll have the option of either installing the updates right away or being reminded again later. To install this Critical Update Notification for Windows 98:

  1. Go to http://windowsupdate.microsoft.com and click on Scan for Updates.

  2. Click Pick Updates to install, and then click on Windows 98 and Windows 98 Second Edition.

  3. Scroll through the list of available updates until you find Windows Critical Updates Notification, and then click Review and install updates.

  4. Click Install Now to install the Critical Update Notification.

If you don't know what version of Windows you're running, you can find out quickly by clicking on the Start button, then clicking on Run. Type winver (like Windows Version) on the Run line, and click OK. You'll see a screen similar to Figure 2, which will tell you the version of Windows that you're running, and which Service Pack you have installed. In this example, I'm running Windows XP Professional with Service Pack 2.

Figure 2. Using winver to Find Your Version of Windows

A note on Windows 95 and Windows 98: in computer years, Windows 95 and 98 are both fairly ancient versions of Windows. At the moment, Microsoft is planning to continue to release security updates for Windows 98 only until mid-2006. After that, you may or may not be protected from any new security vulnerabilities that are discovered in Windows 98 – and Windows 95 has already been "retired" in this fashion. To better secure your computer, you should consider upgrading to Windows XP Home or Windows XP Professional before support for Windows 98 draws to a close.


II. Protecting Your Computer from Viruses

As I mentioned earlier, computer viruses are another form of malicious software that can harm your computer and steal your personal information, just like spyware can. As a part of protecting your home computer, you need to have a good anti-virus software package installed. If you don't have anti-virus software already, you can find a list of reputable anti-virus software vendors at this link: http://support.microsoft.com/kb/49500. Of course, asking which brand of anti-virus software to choose is a lot like asking someone which model of car to drive. While each one may look a bit different, the different anti-virus software packages listed in this link will all do a serviceable job of protecting your computer from computer viruses. For a home computer, you can't go wrong with Symantec, McAfee, Computer Associates, or Trend Micro, to name a few. And the best part about using this link to start your search is that all the software listed is known to work with the Windows operating system. Be sure to look for anti-virus software that offers real-time protection, which means that it scans files on your computer whenever you double-click on them or open them using your web browser or word processor. In addition, you should configure your anti-virus software to run a manual scan of your computer at least once a week, just to be sure that nothing slips through the cracks.

Just as important as installing anti-virus software is the need to keep it up-to-date. A computer virus is nothing more than a small computer program that somebody wrote, and people are writing new ones all the time. Because of this, anti-virus software needs to be constantly updated with new definitions that teach the software how to recognize any new viruses that have been found. All of the most recent anti-virus products can schedule automatic updates of these definitions on a regular basis. This is just like configuring Automatic Updates for your operating system, only now you're doing it for your anti-virus software. As you can see in Figure 3, I've configured the anti-virus software on my personal computer to check for new anti-virus definitions on a daily basis.

Figure 3. Check for New Anti-Virus Definitions Frequently!

    Previous Section < Day Day Up > Next Section


III. Securing Your Web Browser

Now it's time to set up security for your web browser. This can help to reduce the risk I mentioned earlier, where someone can embed spyware or other malicious software right into a web page. If you don't set up the security of your web browser properly, this embedded software will be able to run on your computer if you simply open up a particular web page in your browser. Internet Explorer, or IE, uses Internet zones to control this behavior and to restrict a website's ability to infect your PC with malicious software. You can think of an Internet zone as a way of classifying a particular website, and whether you trust that website not to contain any malicious software. Using Internet zones allows you to group a bunch of sites together under a single classification and assign the same security settings to all of the sites in a zone with a few simple mouse clicks.

By default, IE will place all websites into the "Internet" zone until you manually re-classify them. This creates a default security blanket that will help to protect you against any new or unknown websites that you visit.

Configuring IE security is an interesting balancing act because setting your IE security settings too low will leave you open to attacks by malicious software, but setting them too high will make it difficult for you to browse even legitimate websites, which can become a nuisance in and of itself. To help you strike a balance, IE has four pre-configured security settings that you can set on any one of the zones:

  • High

  • Medium

  • Medium-Low

  • Low

By default, all sites in the Internet zone will run with Medium security. This security level is something of a compromise between security and usability: it'll prompt you before downloading most types of software, but not to the point that trying to browse the web gets annoying. There are some computer security professionals who will say that you should always run with High security, and I've found that this is becoming a more viable option as website operators are becoming more security conscious. It used to be that running at High security all the time led to more "Are you sure you want to do this?" pop-ups than even I was willing to stomach, but now you can browse to most sites under High security without noticing much of a difference when you're dealing with legitimate websites. If a site you use regularly doesn't work properly under High security, you can manually add that site to one of the other Internet zones – see the "More About Internet Zones" sidebar for more information. Another option is to temporarily lower the security settings for the Internet zone to Medium: just don't forget to set it back to High when you're done!

To configure the default security settings for the Internet zone, do the following:

  1. Open your web browser. Click on Tools [image] Internet Options.

  2. Click on Security. You'll see the screen shown in Figure 4. From here, you can configure a different security setting for each of the IE zones.

Figure 4. Configuring Zone Security in Internet Explorer

  3. Click on the Internet zone, and move the slider button to Medium or High.

  4. Click on OK to set this security level for all new websites that you browse to.

More About Internet Zones

The other Internet zones that you can place a website in are as follows (you can see this yourself by clicking on Tools [image] Internet Options from Internet Explorer, and then clicking on the Security tab):

Local intranet. This zone is mostly used for businesses that use an internal website (or intranet) for company-related business and communications. Placing a website in the Local Intranet zone assigns it the Medium-Low security level, which bypasses a number of security checks. I don't recommend placing a website in this zone unless your corporate IT folks tell you to do it.

Trusted sites. This zone is assigned the Low security level. Sites in this zone have even fewer security checks on them than the ones in the Local Intranet zone, so this zone is also one that I wouldn't place a website into unless I was absolutely certain that it was safe. For example, I've placed my company's web mail server into this zone because it runs a number of scripts that help me to automate how I deal with my corporate email. I trust these scripts to run without prompting me for approval every time they need to do so...but I trust that these scripts are safe largely because I wrote them. For everyday web browsing, put websites in this zone only if you're absolutely comfortable with using them and if they won't function properly under the security settings of the Internet zone.

Restricted sites. This zone places the highest security settings on any web pages you add to it.

To add a site to one of these zones, do the following:

1. Click on Tools [image] Internet Zones. Go to the Security tab, and click on the Trusted Sites zone.

2. Type the name of the site you want to add to the Trusted Sites zone, and click Add.

3. You may need to remove the checkmark next to "Require server verification (https:) for all sites in this zone." This feature is in place to make sure that only secure sites – ones that use the https:// prefix – are part of the Trusted Sites zone.

ActiveX Controls and Digital Certificates

There are two other terms that I want to explain to you since they're quite important to how you configure IE: ActiveX controls and digital certificates. An ActiveX control is just a piece of software that's embedded into a web page; the most common place that you'll see an ActiveX controls is on websites that have online games that you can play within your web browser. If you've ever clicked on a link to play a game like Solitaire or Slingo and you've seen a prompt to install a piece of software so that you can play the game, that was probably an ActiveX control. (You'll see an example of this later in this section.) Just as every pop-up ad on the Internet doesn't mean that you've been hit with adware, not every piece of embedded software that you encounter is dangerous. But the difficulty with ActiveX controls is that they can be misused by malicious programmers since an ActiveX control has the ability to access files on your hard drive. Because of this, you want to make sure that you're able to answer two questions when you come across an ActiveX control:

  • this control come from someone that I trust?", and

  • I want to let this ActiveX control run on my computer?"

To help you answer the first question – does this ActiveX control come from a reliable source – your web browser will look for a digital certificate. You can think of a digital certificate as an electronic ID card, much like a driver's license. So, if a company like Microsoft places an ActiveX control on their website, they will pay for a digital certificate that will verify that the control actually came from Microsoft. It doesn't even need to be an ActiveX control: most software that you install from a CD has a digital certificate as well. Digital certificates must be renewed on a regular basis so that software companies will need to re-verify their information to receive an updated certificate.

You may have just noticed what a digital certificate doesn't tell you – it doesn't tell you that the software you're downloading is free from errors, or that it won't do anything to harm your computer. The purpose of a digital certificate is to give you the assurance that the ActiveX control came from a particular source. You can then decide whether to download the control based on whether you trust the company that it came from.

An ActiveX control that comes with a valid digital certificate is called a signed ActiveX control. An ActiveX control that doesn't have a valid certificate is an unsigned ActiveX control.

Before you download any ActiveX control or other piece of software, you need to ask three questions:

  1. Does the software have a valid certificate? (Is it signed?)

  2. Does the certificate come from the company it should? If you're downloading software from "The Big Games Company," the certificate shouldn't be from "Joe Mack's personal computer."

  3. Is the certificate valid, or has it expired?

For example, let's say I go to a website some friends have recommended that has some cool puzzle games. These games use ActiveX controls to run in my web browser, so the first time I load up the site, I see the screen shown in Figure 5,

Figure 5. Downloading an ActiveX Control

Since this site was recommended by someone I trust, I might just go ahead and click "Install" right from here. But let's say that I want to be really sure this is a legitimate download. If I click on the name of the publisher, I'll see a screen showing me the details of the digital certificate, as you can see in Figure 6. This tells me that the software I'm downloading has a valid digital certificate that comes from the site I browsed to. I can also see the name of the company who issued the certificate, and when it was issued. At this point, I feel confident enough to download this software.

So, what are some danger signs to look out for when downloading software?

  • An ActiveX control that has no digital certificate.

  • The digital certificate was issued to a company other than the website you're downloading from.

  • The certificate has expired.

  • The certificate was issued by a signer that you've never heard of. It's possible for a hacker to generate his or her own digital certificate, but it won't have the name of a respected company attached to it. Look for VeriSign, Thawte, and Geotrust as the big players. This is equivalent to a bar requiring an ID from a recognized issuer, such as the state DMV, and not "Bob's ID Card Service."

Figure 6. Verifying a Digital Certificate

You'll also see digital certificates used to protect entire websites. Anytime you purchase something online and see that "https://" in front of the URL, any traffic that you're sending to and from that site is being secured from prying eyes. Unfortunately, one trick that's used by hackers is to put up a fake website pretending to belong to your bank, an online auction site, or even a charitable organization – the FBI usually reports a flurry of fake donation sites that are created in the wake of major disasters like the 9/11 tragedies and the Asian tsunamis. Hackers will use the same graphics and design as the real site and will even use certain tricks to make the URL address look like it's the real thing. But when you enter your credit card information to make a "donation," you've just given your financial information to a complete stranger, and a malicious one at that. If you're ever uncertain, you can check for a valid certificate to verify that you're visiting the correct site by double-clicking on the small padlock icon in the lower right-hand side of your browser. You can see the certificate for www.amazon.com in Figure 7,

Figure 7. Verifying a Website Certificate

Mean Tricks and Devious Deeds

Another trick hackers will use to steal your personal information is called phishing. In a phishing attack, you'll receive an email asking you to log onto a site to update your personal information – it might even be a site that you actually use. Or it might appear as an "appeal" from a non-profit organization. As a general rule, no legitimate website will send you a request for your personal information (like your credit card number, Social Security number, or website passwords) using email because email messages are notoriously difficult to secure. If you're not sure, your best bet is to ignore the URL that you've been sent in the email and instead go directly to a web address that you know is valid - don't believe your own eyes when looking at a link in the email message. For example, if you receive an email from eBay asking you to click on a link within the email to verify your account information, you should instead delete the email message and go directly to www.ebay.com. If you're looking for a charitable website, the website of your local news station or government agency will usually have links that you can trust.

Another unkind trick is for a malicious website to send you a pop-up window with a message like:

"You've been selected to take our free survey! Click OK to begin the survey, or Cancel to decline."

The part that makes this unkind is that the pop-up has been programmed to install spyware or another piece of malicious software, regardless of whether you click "OK" or "Cancel" – if you click anywhere within the pop-up window, the malicious software will use that as its cue to begin installing. To close a pop-up window, especially one that you don't trust, close it only by clicking on the "X" in the upper-most right-hand corner. (Look back at Figure 7 for an example.) Be sure that you're clicking on the very top-most "X" since you'll sometimes see more than one.

The "Alternate Browser" Question

In recent months, there's been something of a push within the computing world to start moving away from Internet Explorer, the web browser that comes with Microsoft Windows products. This recommendation began in the wake of some serious security vulnerabilities that were reported in IE that were leading to an increase in spyware infections. And even though these vulnerabilities have been largely corrected, and IE offers a safe browsing experience in almost all cases, the simple fact is that there are some spyware programs that are specifically engineered to attack Internet Explorer. The question then becomes: if you believe IE's critics, what's the alternative? Many people have started using Firefox, which is an open source web browser that you can download for free from http://www.mozilla.org/products/firefox/. So is Firefox a good browser? Absolutely. It has a few things that are different from IE, where you need to click a different button or look in a different place than you're used to in order to create a bookmark or make your fonts bigger, for example.

But is Firefox more secure? It is, and then again it isn't. It's very true that many spyware programs don't affect people who use Firefox because the spyware is looking for Internet Explorer instead. But before you run to make the switch, it's important to understand exactly what is entailed in the words open source. An open source program is freely available for anyone to download, and it's developed by programmers who are literally donating their time to create it. In some ways this leads to better security because you've got hundreds or even thousands of programmers whacking away at Firefox to try to find any security problems that it has.

But what happens when a security problem is found? You're depending on these same volunteer programmers to correct the issue, and ultimately no one is really accountable for fixing the problem. When hackers start writing spyware and other malicious software to attack Firefox (and they will), it'll be interesting to see how well Firefox's open source model holds up by comparison.

In the end, there's nothing really wrong with using Firefox as an alternative to Internet Explorer: you may even find that you like it better. But remember that Internet Explorer is still installed on your Windows PC even if you're using a different browser, so be sure to keep your computer updated using Windows Update all the same.


IV. Using a Personal Firewall

So far we've talked about ways to protect yourself from spyware that hides in software you download or websites you browse to. But what about the kinds of threats I talked about earlier, where a hacker can install software on your PC just by virtue of the fact that you're connected to the Internet? Protecting yourself from this kind of threat involves being a bit more proactive since in this case you won't be given the option to decide not to download the software in question – it's being installed silently, without your knowledge or permission. What you need here is a piece of software that will prevent any outsiders from being able to access your computer. That software is called a firewall.

Here's how a firewall works: you open your web browser and type in http://www.yahoo.com. What this means, behind the scenes, is that your web browser is going to the Yahoo website and requesting that a copy of the Yahoo! home page be sent to your web browser. The Yahoo! website then receives this request and transmits the file. In slightly more technical terms, your computer is making a connection to the Yahoo!' web server, and the Yahoo! web server is responding to that connection. Now, since you asked for a copy of the Yahoo! web page, the response from Yahoo! is probably a legitimate one, so your firewall will allow the response from yahoo.com to go through. But if a hacker out on the Internet tries to initiate his or her own connection to your computer to install a piece of spyware, your firewall will refuse to allow the connection to pass through it, so that the hacker will not be able to connect to your computer to install malicious wares. In practical terms, your computer will become invisible to Internet hackers, while still allowing you to connect to websites on the Internet.

A personal firewall can be a piece of software that you install on your PC or a hardware device that you install between your PC and your Internet connection. Each has its own advantages and disadvantages, so we'll talk about both in turn.

Software Firewalls

A software-based firewall sits on the hard drive of one PC and protects any connections going to and from that machine. If you have only a single PC at home, a software-based firewall is probably the best way to go. The biggest thing you'll notice about almost any firewall software is that it'll be pretty "chatty" the first few days or weeks that you're using it, popping up a lot of messages to the effect of "Are you sure you want to do this?" when you play an online game or open up your email program. This is because firewalls actually learn about your Internet habits as they go, so they'll prompt you for approval the first time you open up AOL Instant Messenger, but then they'll add AIM to their list of "allowed" programs to run. In most cases you'll find that the paid versions of these firewall programs will be more user-friendly, meaning that they'll figure out which programs you use to access the Internet while you're installing the software.

There are quite a few software companies that sell personal firewall software. Some of them even have a free version that you can use if you're short on cash, though the free version won't have all the useful features of the paid versions and might not be as easy to use. Once you've selected a personal firewall, the installation and setup process usually involves only a few mouse clicks.

When you're configuring a personal firewall, you'll find that these programs usually have a few pre-set configurations like "Trusting," "Normal," and "High Security" that they'll use to dictate exactly how restrictive they are about how they handle your Internet traffic. I recommend that you start with a fairly middle-of-the-road setting at first, and then increase the security level as you become more familiar with the firewall software: the last thing you want to do is install a firewall that leaves you unable to access the Internet at all. I'll list some of the more popular and trusted software vendors here; you can also look for a similar product from your local computer store.

  • Zone Labs: www.zonealarm.com Zone Labs offers a few different versions of their security products, ranging from a basic firewall package that's free for personal or non-profit use, all the way to a full security suite that includes anti-virus scanning and email scanning. The super-all-inclusive "Zone Alarm Security Suite" package retails for around $70 at the time of this writing, and there are a few cheaper options as well. The free firewall provides only the most basic protection in comparison to the full-blown security suite, but I still definitely recommend it if you have no other firewall software loaded. You can load Zone Labs on Windows 98, Windows 2000, Windows ME, and Windows XP.

  • Black Ice Defender: www.iss.net Another favorite for home PC protection, this one retails for around $40. Easy to set up and use, it runs on 98, 2000, ME, XP, and even Windows NT 4.0.

  • Symantec's Norton Personal Firewall: www.symantec.com/sabu/nis/npf/ This is made by my favorite anti-virus vendor, runs on all current versions of Windows, and retails for around $50.

  • Internet Security Suite: www.mcafee.com Another one from a well-known anti-virus software vendor, this also retails for around $50.

Using the Windows Firewall

If you're running Windows XP Home or Windows XP Professional, your computer already has a software-based firewall built right into it. This is called the Internet Connection Firewall in Windows XP, or the Windows Firewall if you've installed Service Pack 2 for XP. This is a built-in (and free) software-based firewall that provides the same kinds of features that you'd otherwise need to pay for in earlier versions of Windows. If you've installed Service Pack 2, you don't even need to do anything to enable the firewall: it's turned on by default. If you haven't installed Service Pack 2 yet, you can enable the XP firewall by doing the following:

  1. Click on Start [image] Run. Type nwc.cpl and click OK. This will bring up your Network Connections in the Control Panel. You'll see the screen shown in Figure 8,

Figure 8. Viewing Network Connections in the Control Panel

[View full size image]

  2. Right-click on your network connection, and select Properties.

  3. Click on the Advanced tab, and place a checkmark next to "Protect my computer and network by limiting or preventing access to this computer from the Internet."

  4. Click OK, and repeat steps 2-4 if you have more than one network connection. (Since I have both a wireless card and a regular network card in my laptop, I would need to follow these instructions twice, once for each connection that you see in Figure 8,

You can edit the Internet Connection Firewall by clicking on the Settings button on the Advanced tab. However, the default settings are fine for most home computer setups, and I wouldn't alter them unless you had a really pressing need to do so.

Once you've installed your firewall, anytime that you use a new piece of software to access the Internet, you'll see a pop-up window similar to the one shown in Figure 9. As you can see, you have the choice to allow this program to access the Internet, or to block it. Don't worry: if this is a program (like Instant Messenger) that you use a lot, you'll see this prompt only once; you won't need to click "Allow" every time you try to use it after you click on "Unblock."

Figure 9. A Windows Firewall Notification

Hardware Firewalls

If you have multiple computers in your house that share the same Internet connection, you'll probably want to install a router to allow all of these machines to get on the Internet at the same time. This will typically be a small box that plugs into your DSL or cable modem with several plugs in the back that you connect your home computers to, maybe even with a Wireless Access Point (WAP) built into it to allow your wireless laptop to connect without using network cables. The advantage to these routers is that they act as a built-in firewall for your home computers by shielding any computers that are plugged into the router from being "visible" to anyone on the Internet. Much like a software-based firewall, your router will intercept any outsider attempting to connect to your internal machines without your consent and prevent them from making a connection or installing any spyware. Many router manufacturers are even beginning to market "Firewall Routers" for home use that have even better firewall protection available. It used to be that hardware-based firewalls really were accessible only to big companies, with prices in the hundreds and even thousands of dollars. But now you can pick up a router for your home for less than US $100. If you're using a hardware firewall, you'll still be able to install software firewalls on your home computers as an added measure of protection; the two won't interfere with each other. (Remember "Defense in depth"? Using both a hardware and software firewall is a great example of it.)

There are a few other major benefits of using a hardware firewall. First, because all the work involved with protecting your computer is being done on the router and not on your computer, your computer won't be slowed down by trying to run firewall software in the background all the time. And if you have multiple computers in your house, a hardware firewall means that you don't need to install and configure a software firewall on every computer inside your network – though it won't hurt anything, as I said before. And finally, a hardware firewall is running all the time – unlike a software firewall, which your kids might turn off so that they can play a game, for instance.

If your computer has already been infected with spyware, you may get some strange error messages after you install a firewall. You may see messages like the one in Figure 9, but instead of talking about AOL or another program that you use, the firewall is asking you about "Firedaemon.exe" or some weird thing you've never heard of. This is actually a good thing because it means that your firewall is preventing an existing spyware infection from getting any worse. Your next step will be to install a spyware removal utility to oust it from your computer entirely, which we'll talk about in the next section.


Installing Anti-Spyware Protection

In addition to the steps we've already talked about for protecting your PC, there are specific programs that you can install to protect yourself from spyware. You can download anti-spyware software for free, or you can pay for a software package that has additional features to protect your PC. Regardless of the particular brand of software that you choose, there are a few features that you should look for when selecting anti-spyware software:

  • Real-time monitoring. Like the real-time scanner in your anti-virus software, this means that your anti-spyware software is always running in the background while you're doing other things on your computer. So, this real-time monitoring will be ready to react if a malicious website even tries to install a piece of spyware on your computer. This feature is usually available only in paid versions of anti-spyware software.

  • Definition updates. You should be able to download updates to your anti-spyware software to protect yourself as new threats emerge on the Internet.

  • Safe removal and rollback. Anti-spyware software needs to be able not only to remove spyware from your computer but also to do so safely. It won't do you much good if you remove that piece of spyware from your PC, only to find that you get the Blue Screen of Death the next time you turn your computer on. In most cases, spyware can be removed without harming your PC. But to protect against the possibility that removing the spyware causes more trouble than it solves, you should have a way to restore your computer, to undo whatever the spyware removal utility did. Of course, this will probably mean that you still have a spyware infection to contend with, but having a rollback option will at least allow you to save your important files if you need to resort to more drastic steps.

  • Restoring browser settings. Though you might have to dig around in an "Advanced Tools" or "Advanced Settings" menu to find it, most anti-spyware tools will have an option to restore your web browser settings if you've been the victim of browser hijacking. You should be able to quickly restore your browser to your old home page, or even restore it to the factory defaults.

Up until now, we haven't done much of anything to your computer that actually changes any of your files or settings. But when you're dealing with spyware removal, there's always a chance that you'll accidentally delete something you didn't mean to, and your computer will stop working entirely. You should be sure that you have backups of your important files at all times, especially when you're trying to remove a spyware infection. We'll talk more about data backups in a later section. For now, we'll look at some of the more popular anti-spyware software that's available and discuss how to go about downloading and installing them.


I. Ad-Aware

Ad-Aware was one of the first programs available to detect and remove adware and spyware from your computer, with an excellent reputation for effectiveness. You can download a free version of Ad-Aware from http://www.lavasoftusa.com, or you can pay for the "Professional" or "Plus" edition of the software for around $30 USD that you can download from the same site.

The largest difference between the free and the paid versions is that the paid versions include a real-time spyware monitor. This feature, called Ad-Watch, is available only in the commercial versions of the Ad-Aware product. In the free version, you're limited to running scans on a regular basis, but even this is useful to help turn up spyware that's installed on your computer and to help you remove it. Your first step is to download the Ad-Aware software from the company's website and then install it. The installation is really simple: just click Next a few times and you're all set. After you download and install Ad-Aware, it will immediately start a full scan of your computer to see if you are already infected with spyware.

You may find that your computer runs a bit slower while the Ad-Aware scan is running. This is because Ad-Aware is examining every single file on your computer to determine if you've been infected with spyware, and your computer can have over a million files on it that Ad-Aware will need to look at one by one. If you purchase the paid version, you'll find that the real-time scanner isn't nearly as noticeable while it's running in the background. Once you've run a full scan on your computer, you'll see a list of any potential threats that Ad-Aware discovered. You can see an example of this in Figure 10,

Figure 10. Results of an Ad-Aware Scan

[View full size image]

To get more information about each of these line items, you can right-click on any item in the list and select Item Details. You'll see a short description of the item like the one shown in Figure 11, as well as a link to a web page that will give you the full rundown. Both of these are written in plain English with a minimum of jargon.

Figure 11. Viewing the Details of a Potential Threat

Your next step is to select the items that you want Ad-Aware to remove. You can either click on the empty box next to each individual item, or you can right-click on one of them and then click on Select All Objects. Click Next to remove any spyware entries that Ad-Aware has found. Depending on the severity or the amount of spyware Ad-Aware finds, you may need to reboot your computer after the cleanup process is done. Even if you don't need to reboot after Ad-Aware is finished, you should re-run the Ad-Aware scan until it doesn't find any more spyware entries.

To allow for safe rollback, Ad-Aware includes a Quarantine Manager that will allow you to undo any changes that Ad-Aware has made.


II. Spybot Search & Destroy

Spybot S&D is another popular anti-spyware application, which you can download from http://www.safer-networking.org. Unlike Ad-Aware, Spybot is completely free software that is updated and maintained by a team of volunteers who have decided to offer the Spybot product as a free resource to combat spyware. This means that the free version of the product is the only version of the product, though you can send donations to the folks who maintain Spybot by clicking on the Donate link on their website – donations go toward paying for the server space that's used by the site. The one thing that might throw you off is that there are a few different links available on the "Download" page, and the last time I looked, the first page was written in German – just click the "Back" button on your browser and try another download site if you run into this.

The Spybot installer is another simple one, much like installing Ad-Aware. The one change that I would suggest would be to place a checkmark next to "Use Systems Settings Protection (Tea Timer)" to enable Spybot's free real-time protection features. After you install the software, the first thing you'll see is a prompt to create a backup copy of your Windows Registry. As you may know, the Windows Registry is a file on your computer that keeps track of how your PC is configured – what programs you have installed, where you save your files, how your web browser is configured, and many, many other settings. Since anti-spyware software often needs to make changes to the Registry in order to remove spyware, you should create this backup copy in case you need to roll back any changes that get made. After you've backed up your Registry, you'll have the option to download the most recent definition updates for Spybot S&D.

The first screen you'll see when you run the Spybot software will let you do three things:

  • Check for Problems to scan your computer for spyware

  • Perform Recovery if Spybot makes a change that you want to undo

  • Search for updates to download new spyware definitions

Scanning your computer with Spybot is pretty similar to using Ad-Aware, though you'll probably find that each of these tools will find infections that the other one missed. The major difference I find between the two is in how Spybot lists the results of a scan. Spybot doesn't provide the same kind of plain-English explanations of the infections that it finds as Ad-Aware does: as you can see in Figure 12, it relies a lot more on technical jargon and computerese. The bad news is that this will make it harder for you to interpret the results, but you still have a one-click option to fix the problems that it finds. Spybot will also create a restore point before it makes any changes to your PC so that you can use the Recovery option if you need to.

Figure 12. Results of a Spybot Search & Destroy Scan

[View full size image]

One feature that I really like about Spybot is the ability to Immunize your web browser against certain types of spyware by silently blocking any websites that attempt to install spyware on your PC. Spybot will also continually monitor your computer for any changes to the Registry or to your browser's default settings and will notify you whenever it detects anything to see whether the change should be allowed. (This is a real-time monitoring feature that isn't available in the free version of Ad-Aware.) In Figure 13, you can see the message that I received when I installed the Microsoft AntiSpyware tool that we'll talk about next. It's not the friendliest error message in the world, but if you're in the midst of installing a piece of software, it should be pretty easy to piece together what's going on. Likewise, if you're not installing or uninstalling a piece of software, you should certainly be wary of any changes that are being made to your Registry. As you can see, you have the option either to allow this change to be made to your computer or to block the change. All in all, Spybot is a great product (especially for the price tag), but it's worth going through some of the online tutorials on it at the www.safer-networking.org website since it doesn't have the same slick interface as the Ad-Aware product.

One final thought on Spybot: if you decide to download and use it, consider donating a few dollars to the folks who donate their time and effort to keeping such a worthwhile product free of charge. Supporting software that you like is the best way to ensure that it actually stays around.

Figure 13. Spybot Detects a Change to the Registry

    Previous Section < Day Day Up > Next Section


III. Microsoft AntiSpyware Tool

Although they showed up a bit late to the party, even Microsoft has released its own anti-spyware tool. At the moment it's still in beta, which means that it's being tested before it's released to consumers. It includes real-time spyware scanning through a Spyware Security Agent, similar to the protection offered by both Ad-Aware and Spybot. This Agent will monitor not only your computer's Registry, like Spybot does, but also other critical files on your PC to make sure that they're not being changed without your permission. The Microsoft AntiSpyware Tool will schedule daily scans of your hard drive and will automatically download anti-spyware definition updates on a regular basis. Once the Microsoft Tool has detected a spyware infection, it will show you a screen similar to Figure 14. You can see that this is closer to the Ad-Aware product where you have a friendly description of the problem along with a one-click removal option. You should also notice the Create restore point checkmark at the bottom of the screen: this is what will allow you to undo any changes made by the tool.

Figure 14. The Microsoft AntiSpyware Tool

[View full size image]

Since the Microsoft AntiSpyware Tool is still in beta, I can't tell you when it's going to be sufficiently tested, or even if it's going to be free of charge. Keep an eye on http://www.microsoft.com/spyware for more details on the official release of this exciting new tool.


Choosing the Right Product

The question you probably have after all of this is "Which program should I install out of all the ones that are available?"

All of them.

Okay, let me amend that slightly: I'm not asking you to spend $50 apiece on three or four different anti-spyware utilities. But there are enough free products available that you can run two or three products without breaking the bank. And in many cases, you'll find that each of these programs will find spyware infections that the others won't. For example, I've run a scan on my personal laptop with each of these three products in the last 60 minutes, and each one has found a spyware threat or infection that the other ones missed. So, if you're serious about keeping your home computer free from spyware, you should run scans with at least one of these products, and preferably more than one to make sure that nothing falls through the cracks.

There are, of course, other products on the market that will perform anti-spyware monitoring and cleanup; I've touched on only a few in this section. The thing to be careful of, though, is that you don't get tricked into downloading and installing a malicious anti-spyware tool! In a twist of irony that they probably don't fully appreciate, many spammers will send you unsolicited email advertising a "Great New Anti-Spyware Tool!" If you're not careful, you can download and install it, only to realize that all you've done is to introduce yet another piece of spyware onto your computer and give away your credit card information to a disreputable company. Actually I take it back; these spammers probably realize exactly how ironic it is and are using that to prey on home computer owners who don't know any better. If you're uncertain, go to http://www.microsoft.com/spyware to find links to reputable anti-spyware tools.


What If I'm Already Infected?

You'll probably also need to have all of these tools available if your computer already has a severe spyware infection. Let's say that my brother-in-law just gave me his old computer for your office, and I want to make sure that it's free from viruses and spyware before you start using it. So, I go to the Windows Update site to install the necessary security patches and then install some anti-virus software. My anti-virus software finds a bunch of viruses before I even start looking for spyware, so I get this sinking feeling that I'm in for a long day.

My first stop after the anti-virus scans is http://www.microsoft.com/spyware, where I find safe links to download Ad-Aware and Spybot Search & Destroy. As you can see from Figure 15, this computer is full of all kinds of spyware infections, so I select all of them and click Next to allow Ad-Aware to try to clean them off.

Figure 15. A Badly Infected Windows XP Computer

[View full size image]

The cleaning process seems to have been successful, but this machine is so infested that I decide to run the Ad-Aware scan a second time. Sure enough, on the second pass Ad-Aware finds 32 more infections in addition to the 184 I already cleaned off. So I select all of these new threats, click Next, and repeat the process until Ad-Aware doesn't find any more spyware threats. Once the Ad-Aware scan comes back clean, I then install Spybot to see if anything was missed. Sure enough, Spybot comes back with its own list of spyware threats that need to be cleaned. What you'll often find is that if a piece of spyware is still in memory, that is, it's actually running when you run your spyware scan, the scanner might not be able to remove it successfully. Spybot S&D will give you the option to reboot your computer and to run a scan when your PC first starts up, before any spyware programs have had a chance to start running. (This feature isn't available in the free version of Ad-Aware.)

For a badly infected computer, you should boot your PC into Safe Mode to run both virus and spyware scans. Safe Mode is a special troubleshooting tool that will prevent your computer from connecting to the Internet, which can help you to remove particularly stubborn virus or spyware infections. To use Safe Mode, press the [F8] key while your computer is starting up, usually right after you see the "Starting Windows..." message appear on your screen.

Of course, at the end of the day, the point of all this is that it's quite useful to have more than one spyware scanner at your disposal, especially if you're dealing with a heavily infected PC. But what happens if all three of these anti-spyware tools still leave you unable to fix your spyware problem?


What If I Can't Fix It?

So, what happens if you've run every anti-spyware tool you can find, and your machine still shows signs of a spyware infection? Either the spyware scanners keep reporting new infections whenever you run them, or your computer won't stop with the annoying pop-ups and the dog-slow performance. It seems that you need to resort to outside help, but where can you turn for trustworthy assistance? In some cases, you don't need to go any further than your web browser itself. The Microsoft website hosts a number of online discussion groups, where people of all technical levels go to ask questions and receive help. There are a number of private individuals who volunteer their time to post answers to questions on these discussion boards, and they can often step you through more advanced procedures to fix your computer. Accessing these online forums is a simple matter:

  1. Browse to http://support.microsoft.com/newsgroups/default.aspx. You'll see something similar to the screen in Figure 16,

Figure 16. Accessing the Microsoft Support Forums

[View full size image]

  2. Click on the plus sign next to English to browse to the English support forums, and then click on Security and Homeusers.

  3. You can browse the Homeusers support forum to find people who have posted similar questions, or create a new post of your own.

To post a question to the Microsoft support forums, you'll need to register for a Microsoft Passport. If you don't already have one, there's an easy walk-through on the website so that you can set up a Passport to access the forums.

  4. To post a new question, click on New, and then Question. You'll see the screen shown in Figure 17. Include a short description of the problem in the Subject line, and a detailed description of the problem in the message body. Place a checkmark next to Notify me of replies at the bottom of the form so that you'll receive an email when your question has been answered.

Figure 17. Posting a Question to the Security Homeusers Forum

[View full size image]

When you're looking for outside assistance, it's helpful to be able to give as much detailed information as you can. You'll find that simply writing something like "My machine is slow and it's working funny" doesn't provide enough information to allow someone in the forums to help you. There are a few good tools that you can use to gather information so that experts in the online forum can see exactly what's going on with your computer. One particularly useful tool is called Hijack This!, which you can download from http://www.spychecker.com/program/hijackthis.html. Before you start working with Hijack This!, please be aware that this is a seriously advanced utility that's primarily used by system administrators like myself. There isn't a friendly interface like there is with Ad-Aware or other consumer anti-spyware tools, and it's very easy to render your computer inoperable if you mess around too much with this tool. For your home computer, the most useful thing about Hijack This! is that it prints out a detailed log file that you can show to a more knowledgeable person (like the experts in the Microsoft support forums). You can see a typical Hijack This! log file in Figure 18,

Figure 18. The Hijack This! Log File

[View full size image]

Hopefully at this point you're wondering how you can be sure that you're getting the correct information from complete strangers on the Internet. There are a number of people who have been given a special award from Microsoft, called the Microsoft Most Valuable Professional (or MVP) award. These MVPs tend to be quite active in the support forums, and their advice is almost always trustworthy and helpful. If you see someone in the forums who signs their messages with the "MVP" designation, you can usually feel more assured that you're receiving useful information from someone who legitimately wants to help you solve your computer problems. But the unfortunate answer here is, of course, that you can't always trust advice that you receive from an anonymous forum like an Internet support forum. If you're not comfortable with a piece of advice that someone in the online forums has given, you're better off erring on the side of caution and seeking help from a friend or an IT person at your office, for example. (And of course, be sure you have a good backup of your important files in place, as I already mentioned.)

Another helpful tip when posting questions to the support forums is this: don't use the email address that you use for personal or business correspondence. The online forums are publicly available on the Internet, and many spammers will harvest the support websites to look for email addresses to send spam email to. Go to http://www.hotmail.com, http://www.yahoo.com, or any of the other free email services, to create a "throwaway" email account to use in the online forums. I even do this myself when I'm posting answers to try to help people in the Security forums since I don't like spam any more than you do!


I. What's the Worst-Case Scenario?

Put quite simply, the worst-case scenario when you're dealing with a spyware infection is that you just plain can't fix it. No matter how many times you run a spyware removal tool, the pop-up ads keep coming back, and the removal tool keeps finding new infections on your computer. Maybe you've even taken it to a local computer shop or to a knowledgeable friend, and they're stumped as well. Once you've reached this point, you're unfortunately left with two choices:

  • Live with the way your computer is behaving, as-is, or

  • Reinstall your computer's operating system.

Even though that second option sounds extreme, there are some very important reasons why you should consider it, if you've run out of luck removing spyware any other way. For one thing, if there's a keystroke logger installed on your computer, every day that you leave it on your computer is another day that a hacker might be intercepting your credit card numbers or other personal data. Or a hacker could still have a "back door" into your computer without you even realizing it. Think of it this way: if somebody stole your house key, you'd change your locks, right? Well, what if your front door had three million locks on it, each of which opens with a different key, and you weren't sure which key got stolen? Reinstalling your computer's operating system is often the only way to be sure that you've "changed all the locks" so that hackers can't access your computer or your private information anymore.

On most computers, it's actually pretty simple to re-install the operating system: most major manufacturers like Dell and HP will provide a "Quick Restore" utility that will reformat your computer and bring it back to its original "out-of-the-box" configuration. That's the easy part, of course. The hard part is making sure that your data is protected in case you need to go that route. We'll spend the remainder of the book discussing ways that you can do just that.


The Need for Data Protection

I imagine that I don't need to sell you too hard on the need to protect the information that you keep on your home computer; most people are aware that they should be doing something about it but just don't know where to start. It's also easy to procrastinate about it since you might figure nothing's going to go wrong...until it does. If you need convincing, think about what you would lose if someone broke into your house right now and stole your computer. Family photos, personal email, letters you've written, financial information, just gone. And much of this is difficult or impossible to replace – you can probably re-create most of your address book from memory or by sending out a "Please send me your current mailing address" email to all of your friends. But those family photos from your last vacation are pretty much irreplaceable. This has even happened to me: I lost most of the pictures from my college graduation, not from a virus but just by clicking on the wrong button while I was working on my computer and not realizing what had happened until it was too late. So, you should put a plan in place that will back up the files you care about so that you can restore them when you need to.


I. Creating a Backup Plan

To create backup copies of your important files, you need to figure out three things:

  1. 1. What do I need to back up?

  2. 2. Where am I going to back it up to?

  3. 3. When and how often am I going to back up my stuff?

Let's look at each of these questions in turn:


I. Selecting Files and Folders to Back Up

I'll be the first to admit that this part should be easier than it usually is – but most backup software doesn't have a button for "Back up all of my important documents." So, your first step is to figure out where you're storing files on your computer. The most efficient thing to do is to create a single folder and store everything there, but a lot of times Windows or Internet Explorer will drop files into these bizarre "default" locations that make them impossible to find again. And don't forget about things like your email and your bookmarks since these can get overlooked when you're getting started with backing up your information.

If you're working with Windows 2000 or Windows XP, you'll find that your files are already pretty well organized. 2000 and XP will create a directory called Documents and Settings on your hard drive, and every person who logs onto your computer with a different username will have their own subfolder underneath this main Documents and Settings folder.

For instance, my home computer has the following subfolders underneath the Documents and Settings folder:

  • C:\Documents and Settings\laura

  • C:\Documents and Settings\administrator

  • C:\Documents and Settings\All Users

Underneath the folder that's named after your username, Windows will create a number of folders, including the following:

  • Application Data – This is information like your email Address Book and configuration information for your Microsoft Office programs like Word, Excel, and Outlook Express.

  • Cookies – This contains saved information from websites that you visit frequently – anytime you click on "Save my password" when logging onto a website, it gets stored here.

  • Desktop – Everything that you save to your Windows desktop gets stored here.

  • Favorites – All of your web bookmarks go here.

  • My Documents – Microsoft Office programs like Word and Excel will save files to this folder by default. This includes a number of subfolders like My Music and My Pictures. By storing your music and photo files to these folders, you'll have most of your personal documents stored in one location. This is not only convenient for you when you're trying to find a file that you need, but it also makes it easier to back up your information.

So, when you're backing up files on a Windows 2000 or Windows XP computer, starting with everything underneath the C:\Documents and Settings folder will cast a pretty wide net. If you're running Windows 95 or Windows 98, you'll often find the same information underneath the C:\Windows\Profiles folder, where you'll have C:\Windows Profiles\Mom and C:\Windows\Profile\Dad. But this can be hit-or-miss, so for earlier operating systems, I recommend creating one or two folders on your C:\ drive and saving all your files there. To create a file to store your documents, do the following:

  1. Double-click on My Computer.

  2. Double-click on your C:\ drive.

  3. Click on File, then New, and then select Folder. You'll see the screen shown in Figure 19, Enter. If you make a mistake and the folder gets created with the name "New Folder," just right-click on the folder and click on Rename.

Figure 19. Creating a New Folder to Store Your Documents

Once you've created this new folder, you should save all of your important files there so that you can back them up easily. You can configure some programs (like Microsoft Word) to use that new folder as their default location so that they'll store files there automatically without you needing to remember it yourself. Each program is a little different, but here's how to do it in Microsoft Word:

  1. Open up Microsoft Word. Click on Tools and then Options.

  2. From the Options screen, click on the File Locations tab. You'll see the screen shown in Figure 20,

Figure 20. Modifying the Default "Save" Location in Microsoft Word

  3. With the Documents line selected (highlighted in dark blue in the figure), click on Modify. You'll be able to browse to the folder you created earlier.

  4. Click OK and then Close. Any new documents that you create in Microsoft Word will now get saved to this new folder.

At this point you should also make similar changes to your other programs, like Microsoft Excel. In most cases it'll be somewhere in the Tools [image] Options screen, though it might be a little bit different from one program to the next.


II. Selecting Backup Media

Once you've figured out what you're going to back up, you need to decide where you're going to back it up to. For your home computer, you've got a few options that range in price from dirt-cheap to a few hundred dollars, depending on how much information you need to back up. The most common options available to you are floppy disks, writeable CDs, external hard drives, and other storage devices like Zip drives.

Floppy Disks

These guys are the great-granddaddy of backup media since they've been around for literally decades and they're quite cheap to buy – you can pick up a box of 100 floppy disks for around US $20. The advantage of floppy disks is that you usually don't need to buy a floppy drive for your computer – most of the home PCs sold in the last 20 years will have one built right into it. The disadvantage of floppy disks is that they are really small in terms of how much information they can hold: a mere 1.44 megabytes. By way of comparison, the Word file that contains this book is just about the largest thing that a floppy disk could hold, and an average-size music file would be between five and ten times the size of a floppy disk.

This leads us to another disadvantage of floppy disks: because they're so small, newer computers are now being manufactured without floppy drives for the first time. So, you might find yourself in a situation where you've stored a number of files to floppy disk, but then when you unpack your brand-new computer, you won't be able to access them!

Having said all of this, though, floppy disks will work just fine if you need to save only a few word processing documents or spreadsheets. To move a file to a floppy disk, just right-click on the file and click on Send To [image] Floppy Disk, or click on File [image] Save As from your word processor and browse to your computer's A:\ drive.

Writeable CDs & DVDs

You'll hear writeable CD and DVD drives called any number of things: CD-R, CD-RW, DVD-R, DVD-RW. No matter which acronym you hear, all of these drives will be able to take a blank CD or DVD and record data to it. The difference between "-R" and "-RW" is whether you can write to a blank disk only once (in the case of "-R") or multiple times (in the case of "-RW"). CDs and DVDs hold much more information than floppy disks – about 650 megabytes for a CD and around 5 gigabytes on a DVD. CDs and DVDs are also more durable than floppy disks; as long as you store them in protective cases, the data stored on a CD or DVD will last indefinitely. The drives themselves are getting pretty inexpensive as well: you can purchase a CD-R or CD-RW drive for your computer for less than US$100, though DVD-R and DVD-RW are still a bit more expensive than that. (If you're not comfortable taking the case off of your computer and fiddling around with its innards, either enlist the help of a computer-savvy relative or pay the local computer store to install it for you when you buy it.)

If your home computer has one of these writeable CD or DVD drives in it, you probably already have software that you can use to back up your files. Creating a backup copy of your data using a utility like this is pretty straightforward since there's usually a "Wizard" that will walk you through the process. One very common application is the Roxio Easy CD Creator, which we'll use here to create a backup copy of the Documents and Settings folder on my local computer.

  1. Open up the Easy CD Creator from the Start Menu, or by double-clicking on its icon from the Desktop.

  2. Click on File, then New CD Project, then Data CD. You'll see the screen shown in Figure 21,

Figure 21. Creating a Data CD using Easy CD Creator

From here, all you need to do is select the files or folders you want to copy to the CD and then click on the Add button in the middle of the screen. If I add my entire "Documents and Settings" folder, I see that it's 8187.8MB in size (check out Figure 22 to see what I mean). This is obviously too big to fit on a 650MB CD, so I'll create one CD that contains only what's in the "My Music" folder.

Figure 22. Easy CD Creator Shows You If You've Gone "Over the Limit"

[View full size image]

Once you've added the files and folders that you want to copy, just click on the big red "Record" button. This will copy your information to a CD, which you can label with a black magic marker and store away for safekeeping. You should create a new backup CD for your documents at least every few months, or more frequently if you create and edit a lot of files on your home computer.

Additional Hard Drives

Another way to protect your data is to store it on a separate hard drive from your C:\ drive that you've installed Microsoft Windows on. This can be either a second hard drive that's installed inside of your computer, or an external drive that plugs into the back of the machine. Much like writeable CD and DVD drives, installing a second hard drive for your computer is pretty cheap: you can get a 160GB hard drive for around US $100. But unless you want to sit around websites all day and try to decipher product descriptions like "Hard drive - 200 GB - internal - 3.5" - ATA-133 - 40 pin IDC - 7200 rpm - buffer: 8 MB", I recommend picking one of these up from a computer store to make sure that you're getting the right product. You can also check with the manufacturer of your computer – Dell, HP, IBM, etc. – who will usually be able to give you the correct drive to order from their website, based on the model number of your computer. You can also purchase a hard drive that plugs into the back of your computer using a USB cable – these are easier to deal with since they're literally "plug and play," but they're also more expensive than their internal counterparts. As a quick estimate, figure on spending around US $300 for a 200GB external drive, versus US $100 for an internal hard drive of a similar size.

Once you've installed your second hard drive, you can manually set up Windows to store your documents on your new drive – use the steps we talked about in the "Selecting Files and Folders to Back Up" section to change Microsoft Word's default file location, but set it to be "D:\MyDocuments" or something similar. Using this setup offers you a unique advantage if you find that you need to re-install the operating system on your computer because your data doesn't go anywhere. When you re-install Windows on your C:\ drive, the new Windows installation will be able to locate the documents on your D:\ drive automatically.

So, now that I've completely sold you on the idea of installing a second hard drive to store your data, let me offer you a few caveats that you need to be aware of:

  1. If your computer gets infected with a virus, that virus can spread to the files on your second hard drive in addition to infecting your C:\ drive. Be sure to include your new hard drive in any scans that are being run by your anti-virus as well as your anti-spyware software.

  2. Some of your files simply cannot be stored on your second hard drive. Because Windows is the way it is, some of your information is simply going to be stored on the C:\ drive no matter what you do. We'll talk about backing up your Windows system configuration in the next section.

Zip Drives and Other Devices

In addition to the options we've already discussed, there are other types of devices that you can use to back up your important data files. While this list is by no means exhaustive, here are a few that you can investigate:

  • Zip and Jazz drives. The Iomega company (www.iomega.com) has been making portable storage devices for over 25 years. Their selection ranges from 128 megabyte hard drives that can literally fit on your keychain all the way to multi-gigabyte external hard drives, with prices topping out around a few hundred US dollars. Most of these devices plug into the USB port on your computer so that you can easily copy your files to the device and back. What I like about the Iomega products is that many of them come with a utility that will automate the "Back up all of my important documents" process for you; it will even schedule a task to back up your critical files once a week or however often you specify. Just be sure you keep any software that comes with the Iomega devices in a safe place – if you purchase a new computer, you'll need to install the Iomega software on the new computer in order to copy your files onto it.

  • and other MP3 players. While these are a bit more expensive than other options we've discussed, usually at least US $300, these devices will serve the dual purposes of storing your music and photo files while allowing you to enjoy them on an airplane or in a train station. For the most part, these devices are only useful for storing music and photo files, though you can find additional software that can transform them into portable hard drives that will also store your important documents.


III. Backing Up Your Windows Configuration

In addition to your personal files, you should also back up the files that control how Windows is configured on your computer. Luckily, every version of Windows has a system utility built in that will allow you to create automatic backups of your important information. In this section, I'll walk you through creating backup files on a Windows XP Professional machine, but the backup utility is quite similar for Windows 2000, 98, and 95. To perform a system backup of a Windows XP computer, follow these steps:

  1. Click on Start [image] All Programs [image] Accessories [image] System Tools [image] Backup. This will start up the Windows Backup wizard. Just click on Next to skip past the initial "Welcome to the Windows Backup" screen.

  2. On the first screen where you can actually do anything, you'll choose whether you want to "Back up files and settings" or "Restore files and settings." Choose the option to back up files, and click Next.

  3. The next screen gives you some pre-configured options for backing up your data. As you can see in Figure 23, you can choose from the following:

  • My documents and settings – This will automatically back up the C:\Documents and Settings\username folder for your personal information and documents, where username is the folder that contains your personal documents.

  • Everyone's documents and settings – This will automatically back up the entire C:\Documents and Settings\ directory for everyone who uses your computer.

  • All information on this computer – This will automatically back up everything on your computer and will create a huge backup file that would be hard to copy to even a CD or a DVD.

  • Let me choose what to back up – This will let you pick individual files and folders.

Figure 23. Windows XP Pre-Configured Backup Selections

  4. For this exercise, we'll choose the last option so that you can see how to select files manually. Select the "Let me choose what to back up" option and click Next.

  5. On the next screen, shown in Figure 24, you'll be able to select individual files and folders to back up. In addition to your personal documents, you should also place a checkmark next to System State. The System State contains the Windows Registry, as well as other important system information. Click Next once you've selected the files you want to back up.

Figure 24. Selecting Files and Folders to Back Up

  6. Now that you've selected what you're going to back up, you'll need to specify where your backup should go. In Figure 25, you can see where you'll click on Browse to pick a location on your hard drive. Click Next and then Finish once you're ready to start the backup.

Figure 25. Selecting a Location to Store Your Backup

Unfortunately, you can't back up directly to a writeable CD or DVD drive; but you can create a backup file using Windows Backup and then copy the backup file to your drive. If you're going to go this route, the System State of a Windows XP machine comes in at around 500MB, so make sure to select only enough files to fit on a CD or DVD, or create multiple backup jobs for the operating system in addition to your data files.


Summary

Hopefully by now you've developed a better understanding of spyware: what it is, how you can avoid it, and how you can protect your computer and your important files from being lost to a spyware or virus infection. We started things out here with a discussion of exactly what spyware is and how it can affect you and your computer. Spyware can range in form from simple annoying pop-up windows when you open up your web browser, all the way to keystroke loggers that can record your personal information as you type it on your keyboard. In most cases, you'll become infected with spyware by downloading unsafe software or by browsing to a website that contains malicious code, though you can even be infected with spyware through no actions of your own by hackers exploiting flaws in the Windows operating system. We also looked at the differences between viruses and spyware, and why having anti-virus protection on your computer may not be enough to shield you from spyware infections.

We then discussed steps that you can take to protect yourself from spyware infections, including configuring automatic software updates for Windows and installing a personal firewall to prevent Internet intruders from accessing your computer. We followed this up with an overview of some of the more prevalent anti-spyware software programs: LavaSoft Ad-Aware, Spybot Search & Destroy, and the Microsoft AntiSpyware tool. And since not only was Murphy an optimist but I actually think he worked in IT, we closed out with step-by-step instructions to configure backups for the important personal files stored on your home computer. Armed with this knowledge, you should be well on your way to living a spyware-free Internet existence. In the appendix that follows, I'll provide you with a number of online resources that you can turn to for more information about spyware and ways to protect yourself from it.


Useful Links

To wrap things up, I'll give you a quick-reference sheet with most of the links that we've talked about here, as well as additional information. Because the Internet can be a wasteland of misinformation, I've listed a number of articles and websites here that I consider trustworthy. If you need to find a link to some information quickly, this will point you in the right direction!


Useful Software Downloads

  • Update: http://windowsupdate.microsoft.com

  • Corp: http://www.symantec.com/

  • http://www.mcafee.com/us/

  • (the Ad-Aware people): http://www.lavasoftusa.com/software/adaware/

  • Search & Destroy: http://www.safer-networking.org/en/download/index.html

  • http://www.spychecker.com/program/hijackthis.html


Helpful Tips and Information

  • AntiSpyware Software and Tips http://www.microsoft.com/spyware

  • for Securing Your Home PC http://www.microsoft.com/athome/security/default.mspx

  • Microsoft Security Newsgroups http://www.microsoft.com/athome/security/community/default.mspx

  • Resource Site for the Home and Home Office http://www.symantec.com/homecomputing/

  • "Security At Home" Resource Center: http://www.microsoft.com/athome/security/default.mspx - protecting yourself, your computer and your family from online threats.

  • Resource Sites: http://www.spywareguide.com, http://www.spywareinfo.com

  • to Remove Spyware or a Hijacker": http://forums.spywareinfo.com/index.php?showtopic=227

  • Security Professionals: http://castlecops.com/ - especially useful for product reviews and tips to protect yourself from spyware.


For Kids and Parents

  • America: http://www.isafe.org/ - Resources for kids and parents

  • to Help Keep Your Kids from Downloading Spyware": http://www.microsoft.com/athome/security/spyware/kidsspyware2.mspx

  • Safety Online: http://www.microsoft.com/athome/security/children/default.mspx

  • Your Family's Web Security: http://www.microsoft.com/athome/security/children/childrenonline.mspx